Subject: RE: [rohc] FW: I-D ACTION:draft-pelletier-rohc-udplite-01.txt

From: "Price, Richard" <[email-masked]>
Date: Mon, 3 Feb 2003 16:16:44 -0000

Hi,

The updated draft is quite a bit longer than the old one - a list of
what's changed since the previous version would be much appreciated!

One point I noticed is that the new draft supports the compression
of multiple IP headers. Is this something that's particularly useful
for UDP-Lite (as compared with vanilla UDP), or just a feature that
would be good to have in general?

Thanks,

Richard

> -----Original Message-----
> From: Lars-Erik Jonsson (EAB) 
> [mailto:[email-masked]]
> Sent: Monday, February 03, 2003 1:30 PM
> To: Rohc (E-mail)
> Subject: [rohc] FW: I-D ACTION:draft-pelletier-rohc-udplite-01.txt
> 
> 
> ROHCers,
> 
> Last year in Minneapolis, an individual draft for a UDP-Lite profile
> was discussed, and we also agreed to make it a WG draft. However, the
> work got delayed for various reasons, and the author also wanted to
> make significant changes to the document. Therefore, we decided the
> updated draft should stay as an individual draft in this version,
> although the intention is to soon make it a WG document, and the work
> should hereafter continue on the list.
> 
> Please express your opinions about this draft, especially opinions 
> about using this document as the starting point for the ROHC UDP-Lite
> profile development.
> 
> Thanks!
> /Lars-Erik
> 
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: den 3 februari 2003 12:44
> Subject: I-D ACTION:draft-pelletier-rohc-udplite-01.txt
> 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> 
> 
> 	Title		: RObust Header Compression 
> (ROHC):Profiles for UDP Lite
> 	Author(s)	: G. Pelletier
> 	Filename	: draft-pelletier-rohc-udplite-01.txt
> 	Pages		: 19
> 	Date		: 2003-1-31
> 	
> This document defines ROHC (Robust Header Compression) profiles for
> compression of RTP/UDP-Lite/IP packets (Real-Time Transport Protocol,
> User Datagram Protocol Lite, Internet Protocol) and UDP-Lite/IP.
> These profiles are defined based on their differences with the
> profiles specified in [RFC-3095] for UDP [RFC-768].
> Although both transport protocols are very similar, ROHC profiles
> must be defined separately for robust compression of UDP-Lite headers
> because it does not share protocol identifier with UDP. Also, the
> UDP-Lite Checksum Coverage field does not share the semantics of the
> corresponding UDP Length field and as a consequence cannot always be
> inferred anymore.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-pelletier-rohc-udplite-01.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-pelletier-rohc-udplite-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-pelletier-rohc-udplite-01.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Ghyslain Pelletier <[email-masked]>
Date: Mon, 03 Feb 2003 17:32:15 +0100

Hi Richard,

> what's changed since the previous version would be much appreciated!

Most of the content of the draft has changed as the assumptions made
regarding the behavior of UDP-Lite flows have evolved, leading to a
totally different approach taken for compressing the headers. 

Also, the previous version was suggesting an approach and was written
with the intent to "probe" the group's opinion regarding directions for
the work, while this draft is written with the intent to be as much as
possible a complete specification of a ROHC profile for UDP-Lite.

With this in mind, I suggest that the draft be read as a totally new
document, as not much from version 00 is left in version 01.

> would be good to have in general?

Something good to have in general.

Regards,

/Ghyslain

Ghyslain Pelletier
Wireless IP Optimizations
AWARE - Advanced Wireless Algorithm Research
Ericsson Research, Corporate Unit
Ericsson AB
Luleå, Sweden
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc